Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Installing Home Assistant on ODROID C1 leads to ruin #1556

Closed
WineSoaked opened this Issue Feb 25, 2018 · 19 comments

Comments

Projects
None yet
5 participants
@WineSoaked
Copy link

WineSoaked commented Feb 25, 2018

Required Information:

  • DietPi Version | v6.2
  • SBC Device | Odroid C1 (armv7l) (index=10)
  • Distro | jessie (index=3)
  • Command | G_AGI: sqlite3
  • Error Handler | G_ERROR_HANDLER

Additional Information (if applicable):

  • Software title | DietPi-Software

Expected behaviour:

Ran the dietpi-software on first install. Picked the "Home Assistant" option on the Optimized Software package menu as part of the software load. Expected an error-free installation.

Actual behaviour:

On dietpi-software (first install) and then on a retry with dietpi-launcher, got several "error handler" messages (that were resumable) for ffmpeg and a raft of dev tools:

[ SUB1 ] DietPi-Software > Installing FFmpeg: audio & visual libary
[ INFO ] DietPi-Software | APT installation for: ffmpeg, please wait...
E: Unable to correct problems, you have held broken packages.

[FAILED] DietPi-Software | DietPi-Software: G_AGI: ffmpeg
[ INFO ] DietPi-Software | exit_code = 100
[ INFO ] DietPi-Software | VERSION:v6.2 | HW_MODEL:10 | HW_ARCH:2 | DISTRO:3
[ INFO ] DietPi-Software | Log file contents:
E: Unable to correct problems, you have held broken packages.
[ INFO ] DietPi-Software | If problems persist, please report this to DietPi for investigation, including a screenshot of this error! (https://github.com/Fourdee/DietPi/issues).
[ SUB1 ] DietPi-Software > Installing Home Assistant: open-source home automation platform
[ SUB1 ] DietPi-Software > Installing Home Assistant: open-source home automation platform
[ INFO ] DietPi-Software | HA_USER: homeassistant
[ INFO ] DietPi-Software | HA_USERROOT: /home/homeassistant
[ INFO ] DietPi-Software | HA_SRVROOT: /srv/homeassistant
[ INFO ] DietPi-Software | HA_PYENV_ACTIVATION: export PATH="/home/homeassistant/.pyenv/bin:$PATH"; eval "$(pyenv init -)"; eval "$(pyenv virtualenv-init -)"
[ INFO ] DietPi-Software | HA_PYTHON_VERSION: 3.6.3
[ INFO ] DietPi-Software | APT installation for: libssl-dev git cmake libc-ares-dev uuid-dev daemon curl libgnutls28-dev libgnutlsxx28 nmap net-tools sudo libglib2.0-dev libudev-dev swig libssl-dev libusb-1.0-0 gcc libssl-dev libffi-dev libbz2-dev zlib1g-dev libreadline-dev libsqlite3-dev libncurses5-dev libncursesw5-dev, please wait...
E: Unable to correct problems, you have held broken packages.

[FAILED] DietPi-Software | DietPi-Software: G_AGI: libssl-dev git cmake libc-ares-dev uuid-dev daemon curl libgnutls28-dev libgnutlsxx28 nmap net-tools sudo libglib2.0-dev libudev-dev swig libssl-dev libusb-1.0-0 gcc libssl-dev libffi-dev libbz2-dev zlib1g-dev libreadline-dev libsqlite3-dev libncurses5-dev libncursesw5-dev
[ INFO ] DietPi-Software | exit_code = 100
[ INFO ] DietPi-Software | VERSION:v6.2 | HW_MODEL:10 | HW_ARCH:2 | DISTRO:3
[ INFO ] DietPi-Software | Log file contents:
E: Unable to correct problems, you have held broken packages.
[ INFO ] DietPi-Software | If problems persist, please report this to DietPi for investigation, including a screenshot of this error! (https://github.com/Fourdee/DietPi/issues).
[ INFO ] DietPi-Software | APT installation for: libmysqlclient-dev, please wait...

Steps to reproduce:

  1. Take an ODROID C1
  2. Do a vanilla install of DietPi, selecting Home Assistant as an additional package
  3. Wait while a lot of software gets downloaded
  4. You'll get an error for ffmpeg
  5. You'll get an error for a lot of build-essentials pieces
  6. You'll get a fatal error on sqlite3, and the dietpi-software apparently can't recover and exits.

I did this set of steps many (many, many) times, and the outcome is identical. I have not tried to install the packages myself using apt-get.

Additional logs:

Log file contents:
E: Unable to correct problems, you have held broken packages.
@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Feb 26, 2018

Additional notes:

Installing libglib2.0-dev yields the following:

# apt-get install libglib2.0-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libglib2.0-dev : Depends: libglib2.0-0 (= 2.42.1-1+b1) but 2.48.0-1~bpo8+1 is to be installed
                  Depends: libglib2.0-bin (= 2.42.1-1+b1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Feb 26, 2018

Additional notes:

Installing libsqlite3-dev yields the following:

# apt-get install libsqlite3-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libsqlite3-dev : Depends: libsqlite3-0 (= 3.8.7.1-1+deb8u2) but 3.16.2-3~bpo8+1 is to be installed
E: Unable to correct problems, you have held broken packages.
@MichaIng

This comment has been minimized.

Copy link
Owner

MichaIng commented Feb 26, 2018

@WineSoaked
Thanks for your report.

Hmm packages from different repos seem to be mixed, Debian stable and backports at least. Usually this should be no problem, as backports contain all necessary dependencies, but if other packages then depend on the stable version packages... should no occur on just Debian repo as far as I know, but in your case Odroid repos join as well.

I will try to replicate on Jessie VM. If no issue there, it is due to Odroid specific repo and we have to find a way to avoid those mixtures.

@k-plan

This comment has been minimized.

Copy link
Collaborator

k-plan commented Feb 26, 2018

@MichaIng

Hmm packages from different repos seem to be mixed, Debian stable and backports at least.

Odroid C1 sources.list :

#1385 (comment)

Fourdee answer:

#1385 (comment)

If I'm back to home, I can have a look into DietPi_v6.0_OdroidC1-ARMv7-Jessie.img
and post content: /etc/apt/*

If nothing helps, I can build a new one from DietPi_v145_OdroidC1-armv7-(Jessie).img
But this will take some time.
Sorry.

@MichaIng

This comment has been minimized.

Copy link
Owner

MichaIng commented Feb 26, 2018

@k-plan
The additional repos should be generally no problem. But if some package is pulled from backports with it's dependencies (libsqlite3-0 v3.16.2-3~bpo8+1) and then another software is installed without -t jessie-backports (libsqlite3-dev), then it want's to pull it's version similar dependency from non-backports and fails, as they were already needed by installed packages... Now I wrote a knot into my brain 🤣.

I will check our installation scripts about that.


€: On Jessie VM installation works fine. As ffmpeg package is not available on Jessie repo, it gets pulled from jessie-backports automatically with some dependencies. But the libraries @WineSoaked shows above, are all pulled from non-backports:

root@VM-Jessie:~# dpkg -l | grep bpo8
ii  ffmpeg                     7:3.2.10-1~deb9u1~bpo8+1          amd64        Tools for transcoding, streaming and playing of multimedia files
ii  libavcodec57:amd64         7:3.2.10-1~deb9u1~bpo8+1          amd64        FFmpeg library with de/encoders for audio/video codecs - runtime files
ii  libavdevice57:amd64        7:3.2.10-1~deb9u1~bpo8+1          amd64        FFmpeg library for handling input and output devices - runtime files
ii  libavfilter6:amd64         7:3.2.10-1~deb9u1~bpo8+1          amd64        FFmpeg library containing media filters - runtime files
ii  libavformat57:amd64        7:3.2.10-1~deb9u1~bpo8+1          amd64        FFmpeg library with (de)muxers for multimedia containers - runtime files
ii  libavresample3:amd64       7:3.2.10-1~deb9u1~bpo8+1          amd64        FFmpeg compatibility library for resampling - runtime files
ii  libavutil55:amd64          7:3.2.10-1~deb9u1~bpo8+1          amd64        FFmpeg library with functions for simplifying programming - runtime files
ii  libchromaprint1:amd64      1.3.2-2~bpo8+1                    amd64        audio fingerprint library
ii  libpostproc54:amd64        7:3.2.10-1~deb9u1~bpo8+1          amd64        FFmpeg library for post processing - runtime files
ii  libswresample2:amd64       7:3.2.10-1~deb9u1~bpo8+1          amd64        FFmpeg library for audio resampling, rematrixing etc. - runtime files
ii  libswscale4:amd64          7:3.2.10-1~deb9u1~bpo8+1          amd64        FFmpeg library for image scaling and various conversions - runtime files
ii  libx265-87:amd64           2.0-4~bpo8+1                      amd64        H.265/HEVC video stream encoder (shared library)

The question is, if on Odroid one of build-essentials, git or ffmpeg is fulled from Meveric repo with different dependencies (backports)?


@WineSoaked or anybody with Odroid:

  • Could you paste output of apt-cache showpkg ffmpeg? This is the only package where I could imagine alternatives on Meverics repo.
@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Feb 26, 2018

@MichaIng

This comment has been minimized.

Copy link
Owner

MichaIng commented Feb 26, 2018

@WineSoaked
Jep, exactly the cross-dependencies seem to be the issue in your case. As said I am just wondering, why this does not happen on my VM. ffmpeg is available on default Debian repo since Stretch and for Jessie as said we pull it from backports. But the as well pulled dependency libraries are not related to sqlite or libglib where you face the issues.

Do you have a change to share the output of apt-cache showpkg ffmpeg, so I can see if there is something different on Odroids (with their additional repos).

@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Feb 26, 2018

@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Feb 27, 2018

For your viewing pleasure:

Package: ffmpeg
Versions:
7:3.4-3~bpo8u1 (/var/lib/apt/lists/fuzon.co.uk_meveric_dists_jessie_backports_binary-armhf_Packages)
 Description Language:
                 File: /var/lib/apt/lists/deb.debian.org_debian_dists_jessie-backports_main_binary-armhf_Packages
                  MD5: 032ff4ee68b923f5137379a7857cb8a8
 Description Language: en
                 File: /var/lib/apt/lists/deb.debian.org_debian_dists_jessie-backports_main_i18n_Translation-en
                  MD5: 032ff4ee68b923f5137379a7857cb8a8

7:3.2.10-1~deb9u1~bpo8+1 (/var/lib/apt/lists/deb.debian.org_debian_dists_jessie-backports_main_binary-armhf_Packages)
 Description Language:
                 File: /var/lib/apt/lists/deb.debian.org_debian_dists_jessie-backports_main_binary-armhf_Packages
                  MD5: 032ff4ee68b923f5137379a7857cb8a8
 Description Language: en
                 File: /var/lib/apt/lists/deb.debian.org_debian_dists_jessie-backports_main_i18n_Translation-en
                  MD5: 032ff4ee68b923f5137379a7857cb8a8


Reverse Depends:
  libav-tools,ffmpeg
  zoneminder,ffmpeg
  youtube-dl,ffmpeg
  vokoscreen,ffmpeg
  libav-tools,ffmpeg
  youtube-dl,ffmpeg 4:0.6
  youtube-dl,ffmpeg
  winff-qt,ffmpeg
  winff-gtk2,ffmpeg
  stopmotion,ffmpeg
  python-scitools,ffmpeg
  ripit,ffmpeg
  pacpl,ffmpeg
  motion,ffmpeg
  kmplayer,ffmpeg
  kino,ffmpeg
  jsymphonic,ffmpeg
  imagination,ffmpeg
  imagemagick-6.q16,ffmpeg
  multimedia-video,ffmpeg
  connectome-workbench,ffmpeg
  bitpim,ffmpeg
Dependencies:
7:3.4-3~bpo8u1 - libavcodec57 (18 7:3.4) libavcodec-extra57 (2 7:3.4) libavdevice57 (2 7:3.4) libavfilter6 (18 7:3.4) libavfilter-extra6 (2 7:3.4) libavformat57 (2 7:3.4) libavresample3 (2 7:3.4) libavutil55 (2 7:3.4) libc6 (2 2.7) libpostproc54 (2 7:3.4) libsdl2-2.0-0 (0 (null)) libswresample2 (2 7:3.4) libswscale4 (2 7:3.4) ffmpeg-doc (0 (null)) libav-tools (3 6:12~~) qt-faststart (3 7:2.7.1-3~) libav-tools (3 6:12~~) qt-faststart (3 7:2.7.1-3~)
7:3.2.10-1~deb9u1~bpo8+1 - libavcodec57 (18 7:3.2.10) libavcodec-extra57 (2 7:3.2.10) libavdevice57 (2 7:3.2.10) libavfilter6 (18 7:3.2.10) libavfilter-extra6 (2 7:3.2.10) libavformat57 (2 7:3.2.10) libavresample3 (2 7:3.2.10) libavutil55 (2 7:3.2.10) libc6 (2 2.7) libpostproc54 (2 7:3.2.10) libsdl2-2.0-0 (2 2.0.0) libswresample2 (2 7:3.2.10) libswscale4 (2 7:3.2.10) libva1 (2 1.0.3) ffmpeg-doc (0 (null)) libav-tools (3 6:12~~) qt-faststart (3 7:2.7.1-3~) libav-tools (3 6:12~~) qt-faststart (3 7:2.7.1-3~)
Provides:
7:3.4-3~bpo8u1 -
7:3.2.10-1~deb9u1~bpo8+1 -
Reverse Provides:
@MichaIng

This comment has been minimized.

Copy link
Owner

MichaIng commented Feb 27, 2018

Looks good, dependencies are identical, just version number of Meverics is higher, but actually we lowered it's backports pin priority in the past due to (obviously temporary) dependency errors (others than here): #1273

I am not sure how it is handled now with different version numbers, but all of this should have no effect on libsqlite3-0 being installed from backports: Separate APT call without any -t option, SQLite + deps should be pulled just from default Jessie repo.

@k-plan @Fourdee

There's no raging hurry on this

But someone with Odroid has to investigate.
Perhaps cleanup pin preferences, as Meverics backports seems to be pinned doubled? #1385 (comment)

@MichaIng MichaIng added the Bug 🐞 label Feb 27, 2018

@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Feb 27, 2018

@MichaIng

This comment has been minimized.

Copy link
Owner

MichaIng commented Feb 27, 2018

@WineSoaked
I just checked, an we lower apt pin priority for the Odroid specific backports only for XU4 somehow. So on your device, it should be used instead of debian default backports. But I would wonder, if this generally causes errors, as Meverics image+repos is generally well tested/much used and shouldn't cause such problems on default apt installations, without much coding magic, which ffmpeg, sqlite, git and build-essentials all basically are.

But just to test/exclude, if you find time, try:

		cat << _EOF_ > /etc/apt/preferences.d/backports
Package: *
Pin: release a=jessie-backports
Pin: origin "fuzon.co.uk"
Pin-Priority: 99
_EOF_

Maybe you need to clean possible installed packages from those first, so no backports packages are left (check via dpkg -l | grep bpo8).
Then apt clean+update+retry installation via dietpi-software.

@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Feb 28, 2018

@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Feb 28, 2018

In fact, I will reflash the emmc on the C1 with the image from the site, make the change to backports after the initial installation (i.e. I won't install any optional packages with dietpi-software) and will paste the results of trying to install HA here once I have done it. Again, not likely to happen until about 24 hours from now.

@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Mar 1, 2018

I am pleased to report that the updating the pin priority for apt was the trick. I did the following:

  • Reflashed the image (DietPi_v6.0_OdroidC1-ARMv7-Jessie.img) to the 16GB eMMC that I am using as the root filesystem storage
  • Ran the vanilla installation, but did not install anything additional using dietpi-software
  • After the reboot, added the /etc/apt/preferences.d/backports file as specified above by @MichaIng
  • Installed Home Assistant using dietpi-software, the very lengthy (but successful) installation log follows
 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Checking for prerequisite software

[ INFO ] DietPi-Software | SQlite will be installed
[ INFO ] DietPi-Software | Git will be installed
[ INFO ] DietPi-Software | Build-Essential will be installed
[ INFO ] DietPi-Software | FFmpeg will be installed
[ SUB1 ] DietPi-Services > stop
[  OK  ] DietPi-Services | stop : cron

 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Installing Build-Essentials: common packages for compile

[ INFO ] DietPi-Software | APT installation for: build-essential make autoconf automake --no-install-recommends, please wait...
Extracting templates from packages: 100%
Selecting previously unselected package libgdbm3:armhf.
(Reading database ... 14648 files and directories currently installed.)
Preparing to unpack .../libgdbm3_1.8.3-13.1_armhf.deb ...
Unpacking libgdbm3:armhf (1.8.3-13.1) ...
Selecting previously unselected package perl-modules.
Preparing to unpack .../perl-modules_5.20.2-3+deb8u9_all.deb ...
Unpacking perl-modules (5.20.2-3+deb8u9) ...
Selecting previously unselected package perl.
Preparing to unpack .../perl_5.20.2-3+deb8u9_armhf.deb ...
Unpacking perl (5.20.2-3+deb8u9) ...
Selecting previously unselected package libasan1:armhf.
Preparing to unpack .../libasan1_4.9.2-10+deb8u1_armhf.deb ...
Unpacking libasan1:armhf (4.9.2-10+deb8u1) ...
Selecting previously unselected package libatomic1:armhf.
Preparing to unpack .../libatomic1_4.9.2-10+deb8u1_armhf.deb ...
Unpacking libatomic1:armhf (4.9.2-10+deb8u1) ...
Selecting previously unselected package libisl10:armhf.
Preparing to unpack .../libisl10_0.12.2-2_armhf.deb ...
Unpacking libisl10:armhf (0.12.2-2) ...
Selecting previously unselected package libcloog-isl4:armhf.
Preparing to unpack .../libcloog-isl4_0.18.2-1+b2_armhf.deb ...
Unpacking libcloog-isl4:armhf (0.18.2-1+b2) ...
Selecting previously unselected package libgomp1:armhf.
Preparing to unpack .../libgomp1_4.9.2-10+deb8u1_armhf.deb ...
Unpacking libgomp1:armhf (4.9.2-10+deb8u1) ...
Selecting previously unselected package libmpfr4:armhf.
Preparing to unpack .../libmpfr4_3.1.2-2_armhf.deb ...
Unpacking libmpfr4:armhf (3.1.2-2) ...
Selecting previously unselected package libsigsegv2:armhf.
Preparing to unpack .../libsigsegv2_2.10-4+b1_armhf.deb ...
Unpacking libsigsegv2:armhf (2.10-4+b1) ...
Selecting previously unselected package libubsan0:armhf.
Preparing to unpack .../libubsan0_4.9.2-10+deb8u1_armhf.deb ...
Unpacking libubsan0:armhf (4.9.2-10+deb8u1) ...
Selecting previously unselected package libmpc3:armhf.
Preparing to unpack .../libmpc3_1.0.2-1_armhf.deb ...
Unpacking libmpc3:armhf (1.0.2-1) ...
Selecting previously unselected package m4.
Preparing to unpack .../archives/m4_1.4.17-4_armhf.deb ...
Unpacking m4 (1.4.17-4) ...
Selecting previously unselected package patch.
Preparing to unpack .../patch_2.7.5-1_armhf.deb ...
Unpacking patch (2.7.5-1) ...
Selecting previously unselected package xz-utils.
Preparing to unpack .../xz-utils_5.1.1alpha+20120614-2+b3_armhf.deb ...
Unpacking xz-utils (5.1.1alpha+20120614-2+b3) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../autoconf_2.69-8_all.deb ...
Unpacking autoconf (2.69-8) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../autotools-dev_20140911.1_all.deb ...
Unpacking autotools-dev (20140911.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../automake_1%3a1.14.1-4+deb8u1_all.deb ...
Unpacking automake (1:1.14.1-4+deb8u1) ...
Selecting previously unselected package binutils.
Preparing to unpack .../binutils_2.25-5+deb8u1_armhf.deb ...
Unpacking binutils (2.25-5+deb8u1) ...
Selecting previously unselected package libc-dev-bin.
Preparing to unpack .../libc-dev-bin_2.19-18+deb8u10_armhf.deb ...
Unpacking libc-dev-bin (2.19-18+deb8u10) ...
Selecting previously unselected package linux-libc-dev:armhf.
Preparing to unpack .../linux-libc-dev_3.16.51-3+deb8u1_armhf.deb ...
Unpacking linux-libc-dev:armhf (3.16.51-3+deb8u1) ...
Selecting previously unselected package libc6-dev:armhf.
Preparing to unpack .../libc6-dev_2.19-18+deb8u10_armhf.deb ...
Unpacking libc6-dev:armhf (2.19-18+deb8u10) ...
Selecting previously unselected package cpp-4.9.
Preparing to unpack .../cpp-4.9_4.9.2-10+deb8u1_armhf.deb ...
Unpacking cpp-4.9 (4.9.2-10+deb8u1) ...
Selecting previously unselected package cpp.
Preparing to unpack .../cpp_4%3a4.9.2-2_armhf.deb ...
Unpacking cpp (4:4.9.2-2) ...
Selecting previously unselected package libgcc-4.9-dev:armhf.
Preparing to unpack .../libgcc-4.9-dev_4.9.2-10+deb8u1_armhf.deb ...
Unpacking libgcc-4.9-dev:armhf (4.9.2-10+deb8u1) ...
Selecting previously unselected package gcc-4.9.
Preparing to unpack .../gcc-4.9_4.9.2-10+deb8u1_armhf.deb ...
Unpacking gcc-4.9 (4.9.2-10+deb8u1) ...
Selecting previously unselected package gcc.
Preparing to unpack .../gcc_4%3a4.9.2-2_armhf.deb ...
Unpacking gcc (4:4.9.2-2) ...
Selecting previously unselected package libstdc++-4.9-dev:armhf.
Preparing to unpack .../libstdc++-4.9-dev_4.9.2-10+deb8u1_armhf.deb ...
Unpacking libstdc++-4.9-dev:armhf (4.9.2-10+deb8u1) ...
Selecting previously unselected package g++-4.9.
Preparing to unpack .../g++-4.9_4.9.2-10+deb8u1_armhf.deb ...
Unpacking g++-4.9 (4.9.2-10+deb8u1) ...
Selecting previously unselected package g++.
Preparing to unpack .../g++_4%3a4.9.2-2_armhf.deb ...
Unpacking g++ (4:4.9.2-2) ...
Selecting previously unselected package make.
Preparing to unpack .../make_4.0-8.1_armhf.deb ...
Unpacking make (4.0-8.1) ...
Selecting previously unselected package libtimedate-perl.
Preparing to unpack .../libtimedate-perl_2.3000-2_all.deb ...
Unpacking libtimedate-perl (2.3000-2) ...
Selecting previously unselected package libdpkg-perl.
Preparing to unpack .../libdpkg-perl_1.17.27_all.deb ...
Unpacking libdpkg-perl (1.17.27) ...
Selecting previously unselected package dpkg-dev.
Preparing to unpack .../dpkg-dev_1.17.27_all.deb ...
Unpacking dpkg-dev (1.17.27) ...
Selecting previously unselected package build-essential.
Preparing to unpack .../build-essential_11.7_armhf.deb ...
Unpacking build-essential (11.7) ...
Setting up libgdbm3:armhf (1.8.3-13.1) ...
Setting up perl-modules (5.20.2-3+deb8u9) ...
Setting up perl (5.20.2-3+deb8u9) ...
update-alternatives: using /usr/bin/prename to provide /usr/bin/rename (rename) in auto mode
Setting up libasan1:armhf (4.9.2-10+deb8u1) ...
Setting up libatomic1:armhf (4.9.2-10+deb8u1) ...
Setting up libisl10:armhf (0.12.2-2) ...
Setting up libcloog-isl4:armhf (0.18.2-1+b2) ...
Setting up libgomp1:armhf (4.9.2-10+deb8u1) ...
Setting up libmpfr4:armhf (3.1.2-2) ...
Setting up libsigsegv2:armhf (2.10-4+b1) ...
Setting up libubsan0:armhf (4.9.2-10+deb8u1) ...
Setting up libmpc3:armhf (1.0.2-1) ...
Setting up m4 (1.4.17-4) ...
Setting up patch (2.7.5-1) ...
Setting up xz-utils (5.1.1alpha+20120614-2+b3) ...
update-alternatives: using /usr/bin/xz to provide /usr/bin/lzma (lzma) in auto mode
Setting up autoconf (2.69-8) ...
Setting up autotools-dev (20140911.1) ...
Setting up automake (1:1.14.1-4+deb8u1) ...
update-alternatives: using /usr/bin/automake-1.14 to provide /usr/bin/automake (automake) in auto mode
Setting up binutils (2.25-5+deb8u1) ...
Setting up libc-dev-bin (2.19-18+deb8u10) ...
Setting up linux-libc-dev:armhf (3.16.51-3+deb8u1) ...
Setting up libc6-dev:armhf (2.19-18+deb8u10) ...
Setting up cpp-4.9 (4.9.2-10+deb8u1) ...
Setting up cpp (4:4.9.2-2) ...
Setting up libgcc-4.9-dev:armhf (4.9.2-10+deb8u1) ...
Setting up gcc-4.9 (4.9.2-10+deb8u1) ...
Setting up gcc (4:4.9.2-2) ...
Setting up libstdc++-4.9-dev:armhf (4.9.2-10+deb8u1) ...
Setting up g++-4.9 (4.9.2-10+deb8u1) ...
Setting up g++ (4:4.9.2-2) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode
Setting up make (4.0-8.1) ...
Setting up libtimedate-perl (2.3000-2) ...
Setting up libdpkg-perl (1.17.27) ...
Setting up dpkg-dev (1.17.27) ...
Setting up build-essential (11.7) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
[  OK  ] DietPi-Software | G_AGI: build-essential make autoconf automake --no-install-recommends

 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Installing Git Client: git clone etc

[ INFO ] DietPi-Software | APT installation for: git --no-install-recommends, please wait...
Selecting previously unselected package liberror-perl.
(Reading database ... 19071 files and directories currently installed.)
Preparing to unpack .../liberror-perl_0.17-1.1_all.deb ...
Unpacking liberror-perl (0.17-1.1) ...
Selecting previously unselected package git-man.
Preparing to unpack .../git-man_1%3a2.1.4-2.1+deb8u5_all.deb ...
Unpacking git-man (1:2.1.4-2.1+deb8u5) ...
Selecting previously unselected package git.
Preparing to unpack .../git_1%3a2.1.4-2.1+deb8u5_armhf.deb ...
Unpacking git (1:2.1.4-2.1+deb8u5) ...
Setting up liberror-perl (0.17-1.1) ...
Setting up git-man (1:2.1.4-2.1+deb8u5) ...
Setting up git (1:2.1.4-2.1+deb8u5) ...
[  OK  ] DietPi-Software | G_AGI: git --no-install-recommends

 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Installing FFmpeg: audio & visual libary

[ INFO ] DietPi-Software | APT installation for: ffmpeg, please wait...
Extracting templates from packages: 100%
Preconfiguring packages ...
Selecting previously unselected package libjson-c2:armhf.
(Reading database ... 19844 files and directories currently installed.)
Preparing to unpack .../libjson-c2_0.11-4_armhf.deb ...
Unpacking libjson-c2:armhf (0.11-4) ...
Selecting previously unselected package libxml2:armhf.
Preparing to unpack .../libxml2_2.9.1+dfsg1-5+deb8u6_armhf.deb ...
Unpacking libxml2:armhf (2.9.1+dfsg1-5+deb8u6) ...
Selecting previously unselected package libasound2-data.
Preparing to unpack .../libasound2-data_1.0.28-1_all.deb ...
Unpacking libasound2-data (1.0.28-1) ...
Selecting previously unselected package libasound2:armhf.
Preparing to unpack .../libasound2_1.0.28-1_armhf.deb ...
Unpacking libasound2:armhf (1.0.28-1) ...
Selecting previously unselected package libasyncns0:armhf.
Preparing to unpack .../libasyncns0_0.8-5_armhf.deb ...
Unpacking libasyncns0:armhf (0.8-5) ...
Selecting previously unselected package libpng12-0:armhf.
Preparing to unpack .../libpng12-0_1.2.50-2+deb8u3_armhf.deb ...
Unpacking libpng12-0:armhf (1.2.50-2+deb8u3) ...
Selecting previously unselected package libfreetype6:armhf.
Preparing to unpack .../libfreetype6_2.5.2-3+deb8u2_armhf.deb ...
Unpacking libfreetype6:armhf (2.5.2-3+deb8u2) ...
Selecting previously unselected package libbluray1:armhf.
Preparing to unpack .../libbluray1_1%3a0.6.2-1_armhf.deb ...
Unpacking libbluray1:armhf (1:0.6.2-1) ...
Selecting previously unselected package libcaca0:armhf.
Preparing to unpack .../libcaca0_0.99.beta19-2_armhf.deb ...
Unpacking libcaca0:armhf (0.99.beta19-2) ...
Selecting previously unselected package libdrm2:armhf.
Preparing to unpack .../libdrm2_2.4.58-2_armhf.deb ...
Unpacking libdrm2:armhf (2.4.58-2) ...
Selecting previously unselected package libva1:armhf.
Preparing to unpack .../libva1_1.4.1-1_armhf.deb ...
Unpacking libva1:armhf (1.4.1-1) ...
Selecting previously unselected package libva-drm1:armhf.
Preparing to unpack .../libva-drm1_1.4.1-1_armhf.deb ...
Unpacking libva-drm1:armhf (1.4.1-1) ...
Selecting previously unselected package libxau6:armhf.
Preparing to unpack .../libxau6_1%3a1.0.8-1_armhf.deb ...
Unpacking libxau6:armhf (1:1.0.8-1) ...
Selecting previously unselected package libxdmcp6:armhf.
Preparing to unpack .../libxdmcp6_1%3a1.1.1-1+b1_armhf.deb ...
Unpacking libxdmcp6:armhf (1:1.1.1-1+b1) ...
Selecting previously unselected package libxcb1:armhf.
Preparing to unpack .../libxcb1_1.10-3+b1_armhf.deb ...
Unpacking libxcb1:armhf (1.10-3+b1) ...
Selecting previously unselected package libx11-data.
Preparing to unpack .../libx11-data_2%3a1.6.2-3+deb8u1_all.deb ...
Unpacking libx11-data (2:1.6.2-3+deb8u1) ...
Selecting previously unselected package libx11-6:armhf.
Preparing to unpack .../libx11-6_2%3a1.6.2-3+deb8u1_armhf.deb ...
Unpacking libx11-6:armhf (2:1.6.2-3+deb8u1) ...
Selecting previously unselected package libxext6:armhf.
Preparing to unpack .../libxext6_2%3a1.3.3-1_armhf.deb ...
Unpacking libxext6:armhf (2:1.3.3-1) ...
Selecting previously unselected package libxfixes3:armhf.
Preparing to unpack .../libxfixes3_1%3a5.0.1-2+deb8u1_armhf.deb ...
Unpacking libxfixes3:armhf (1:5.0.1-2+deb8u1) ...
Selecting previously unselected package libva-x11-1:armhf.
Preparing to unpack .../libva-x11-1_1.4.1-1_armhf.deb ...
Unpacking libva-x11-1:armhf (1.4.1-1) ...
Selecting previously unselected package libvdpau1:armhf.
Preparing to unpack .../libvdpau1_0.8-3+deb8u2_armhf.deb ...
Unpacking libvdpau1:armhf (0.8-3+deb8u2) ...
Selecting previously unselected package libavutil55:armhf.
Preparing to unpack .../libavutil55_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking libavutil55:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Selecting previously unselected package libgsm1:armhf.
Preparing to unpack .../libgsm1_1.0.13-4_armhf.deb ...
Unpacking libgsm1:armhf (1.0.13-4) ...
Selecting previously unselected package libmp3lame0:armhf.
Preparing to unpack .../libmp3lame0_3.99.5+repack1-7+deb8u1_armhf.deb ...
Unpacking libmp3lame0:armhf (3.99.5+repack1-7+deb8u1) ...
Selecting previously unselected package libopenjp2-7:armhf.
Preparing to unpack .../libopenjp2-7_2.1.0-2+deb8u3+b1_armhf.deb ...
Unpacking libopenjp2-7:armhf (2.1.0-2+deb8u3+b1) ...
Selecting previously unselected package libopus0:armhf.
Preparing to unpack .../libopus0_1.1-2_armhf.deb ...
Unpacking libopus0:armhf (1.1-2) ...
Selecting previously unselected package libshine3:armhf.
Preparing to unpack .../libshine3_3.1.0-2.1_armhf.deb ...
Unpacking libshine3:armhf (3.1.0-2.1) ...
Selecting previously unselected package libsnappy1.
Preparing to unpack .../libsnappy1_1.1.2-3_armhf.deb ...
Unpacking libsnappy1 (1.1.2-3) ...
Selecting previously unselected package libspeex1:armhf.
Preparing to unpack .../libspeex1_1.2~rc1.2-1_armhf.deb ...
Unpacking libspeex1:armhf (1.2~rc1.2-1) ...
Selecting previously unselected package libsoxr0:armhf.
Preparing to unpack .../libsoxr0_0.1.1-1_armhf.deb ...
Unpacking libsoxr0:armhf (0.1.1-1) ...
Selecting previously unselected package libswresample2:armhf.
Preparing to unpack .../libswresample2_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking libswresample2:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Selecting previously unselected package libogg0:armhf.
Preparing to unpack .../libogg0_1.3.2-1_armhf.deb ...
Unpacking libogg0:armhf (1.3.2-1) ...
Selecting previously unselected package libtheora0:armhf.
Preparing to unpack .../libtheora0_1.1.1+dfsg.1-6_armhf.deb ...
Unpacking libtheora0:armhf (1.1.1+dfsg.1-6) ...
Selecting previously unselected package libtwolame0.
Preparing to unpack .../libtwolame0_0.3.13-1.1_armhf.deb ...
Unpacking libtwolame0 (0.3.13-1.1) ...
Selecting previously unselected package libvorbis0a:armhf.
Preparing to unpack .../libvorbis0a_1.3.4-2_armhf.deb ...
Unpacking libvorbis0a:armhf (1.3.4-2) ...
Selecting previously unselected package libvorbisenc2:armhf.
Preparing to unpack .../libvorbisenc2_1.3.4-2_armhf.deb ...
Unpacking libvorbisenc2:armhf (1.3.4-2) ...
Selecting previously unselected package libvpx1:armhf.
Preparing to unpack .../libvpx1_1.3.0-3_armhf.deb ...
Unpacking libvpx1:armhf (1.3.0-3) ...
Selecting previously unselected package libwavpack1:armhf.
Preparing to unpack .../libwavpack1_4.70.0-1_armhf.deb ...
Unpacking libwavpack1:armhf (4.70.0-1) ...
Selecting previously unselected package libwebp5:armhf.
Preparing to unpack .../libwebp5_0.4.1-1.2+b2_armhf.deb ...
Unpacking libwebp5:armhf (0.4.1-1.2+b2) ...
Selecting previously unselected package libx264-142:armhf.
Preparing to unpack .../libx264-142_2%3a0.142.2431+gita5831aa-1+b2_armhf.deb ...
Unpacking libx264-142:armhf (2:0.142.2431+gita5831aa-1+b2) ...
Selecting previously unselected package libx265-87:armhf.
Preparing to unpack .../libx265-87_2.0-4~bpo8+1_armhf.deb ...
Unpacking libx265-87:armhf (2.0-4~bpo8+1) ...
Selecting previously unselected package libxvidcore4:armhf.
Preparing to unpack .../libxvidcore4_2%3a1.3.3-1_armhf.deb ...
Unpacking libxvidcore4:armhf (2:1.3.3-1) ...
Selecting previously unselected package libzvbi-common.
Preparing to unpack .../libzvbi-common_0.2.35-3_all.deb ...
Unpacking libzvbi-common (0.2.35-3) ...
Selecting previously unselected package libzvbi0:armhf.
Preparing to unpack .../libzvbi0_0.2.35-3_armhf.deb ...
Unpacking libzvbi0:armhf (0.2.35-3) ...
Selecting previously unselected package libavcodec57:armhf.
Preparing to unpack .../libavcodec57_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking libavcodec57:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Selecting previously unselected package libchromaprint1:armhf.
Preparing to unpack .../libchromaprint1_1.3.2-2~bpo8+1_armhf.deb ...
Unpacking libchromaprint1:armhf (1.3.2-2~bpo8+1) ...
Selecting previously unselected package libraw1394-11:armhf.
Preparing to unpack .../libraw1394-11_2.1.0-3_armhf.deb ...
Unpacking libraw1394-11:armhf (2.1.0-3) ...
Selecting previously unselected package libdc1394-22:armhf.
Preparing to unpack .../libdc1394-22_2.2.3-1_armhf.deb ...
Unpacking libdc1394-22:armhf (2.2.3-1) ...
Selecting previously unselected package libdrm-freedreno1:armhf.
Preparing to unpack .../libdrm-freedreno1_2.4.58-2_armhf.deb ...
Unpacking libdrm-freedreno1:armhf (2.4.58-2) ...
Selecting previously unselected package libdrm-nouveau2:armhf.
Preparing to unpack .../libdrm-nouveau2_2.4.58-2_armhf.deb ...
Unpacking libdrm-nouveau2:armhf (2.4.58-2) ...
Selecting previously unselected package libdrm-radeon1:armhf.
Preparing to unpack .../libdrm-radeon1_2.4.58-2_armhf.deb ...
Unpacking libdrm-radeon1:armhf (2.4.58-2) ...
Selecting previously unselected package libelf1:armhf.
Preparing to unpack .../libelf1_0.159-4.2_armhf.deb ...
Unpacking libelf1:armhf (0.159-4.2) ...
Selecting previously unselected package libglapi-mesa:armhf.
Preparing to unpack .../libglapi-mesa_10.3.2-1+deb8u1_armhf.deb ...
Unpacking libglapi-mesa:armhf (10.3.2-1+deb8u1) ...
Selecting previously unselected package libllvm3.5:armhf.
Preparing to unpack .../libllvm3.5_1%3a3.5-10_armhf.deb ...
Unpacking libllvm3.5:armhf (1:3.5-10) ...
Selecting previously unselected package libwayland-client0:armhf.
Preparing to unpack .../libwayland-client0_1.6.0-2_armhf.deb ...
Unpacking libwayland-client0:armhf (1.6.0-2) ...
Selecting previously unselected package libwayland-server0:armhf.
Preparing to unpack .../libwayland-server0_1.6.0-2_armhf.deb ...
Unpacking libwayland-server0:armhf (1.6.0-2) ...
Selecting previously unselected package libgbm1:armhf.
Preparing to unpack .../libgbm1_10.3.2-1+deb8u1_armhf.deb ...
Unpacking libgbm1:armhf (10.3.2-1+deb8u1) ...
Selecting previously unselected package libx11-xcb1:armhf.
Preparing to unpack .../libx11-xcb1_2%3a1.6.2-3+deb8u1_armhf.deb ...
Unpacking libx11-xcb1:armhf (2:1.6.2-3+deb8u1) ...
Selecting previously unselected package libxcb-dri2-0:armhf.
Preparing to unpack .../libxcb-dri2-0_1.10-3+b1_armhf.deb ...
Unpacking libxcb-dri2-0:armhf (1.10-3+b1) ...
Selecting previously unselected package libxcb-render0:armhf.
Preparing to unpack .../libxcb-render0_1.10-3+b1_armhf.deb ...
Unpacking libxcb-render0:armhf (1.10-3+b1) ...
Selecting previously unselected package libxcb-shape0:armhf.
Preparing to unpack .../libxcb-shape0_1.10-3+b1_armhf.deb ...
Unpacking libxcb-shape0:armhf (1.10-3+b1) ...
Selecting previously unselected package libxcb-xfixes0:armhf.
Preparing to unpack .../libxcb-xfixes0_1.10-3+b1_armhf.deb ...
Unpacking libxcb-xfixes0:armhf (1.10-3+b1) ...
Selecting previously unselected package libegl1-mesa:armhf.
Preparing to unpack .../libegl1-mesa_10.3.2-1+deb8u1_armhf.deb ...
Unpacking libegl1-mesa:armhf (10.3.2-1+deb8u1) ...
Selecting previously unselected package libenca0:armhf.
Preparing to unpack .../libenca0_1.16-1_armhf.deb ...
Unpacking libenca0:armhf (1.16-1) ...
Selecting previously unselected package libfftw3-double3:armhf.
Preparing to unpack .../libfftw3-double3_3.3.4-2_armhf.deb ...
Unpacking libfftw3-double3:armhf (3.3.4-2) ...
Selecting previously unselected package libflac8:armhf.
Preparing to unpack .../libflac8_1.3.0-3_armhf.deb ...
Unpacking libflac8:armhf (1.3.0-3) ...
Selecting previously unselected package ucf.
Preparing to unpack .../archives/ucf_3.0030_all.deb ...
Moving old data out of the way
Unpacking ucf (3.0030) ...
Selecting previously unselected package fonts-dejavu-core.
Preparing to unpack .../fonts-dejavu-core_2.34-1_all.deb ...
Unpacking fonts-dejavu-core (2.34-1) ...
Selecting previously unselected package fontconfig-config.
Preparing to unpack .../fontconfig-config_2.11.0-6.3+deb8u1_all.deb ...
Unpacking fontconfig-config (2.11.0-6.3+deb8u1) ...
Selecting previously unselected package libfontconfig1:armhf.
Preparing to unpack .../libfontconfig1_2.11.0-6.3+deb8u1_armhf.deb ...
Unpacking libfontconfig1:armhf (2.11.0-6.3+deb8u1) ...
Selecting previously unselected package libfribidi0:armhf.
Preparing to unpack .../libfribidi0_0.19.6-3_armhf.deb ...
Unpacking libfribidi0:armhf (0.19.6-3) ...
Selecting previously unselected package libxcb-dri3-0:armhf.
Preparing to unpack .../libxcb-dri3-0_1.10-3+b1_armhf.deb ...
Unpacking libxcb-dri3-0:armhf (1.10-3+b1) ...
Selecting previously unselected package libxcb-glx0:armhf.
Preparing to unpack .../libxcb-glx0_1.10-3+b1_armhf.deb ...
Unpacking libxcb-glx0:armhf (1.10-3+b1) ...
Selecting previously unselected package libxcb-present0:armhf.
Preparing to unpack .../libxcb-present0_1.10-3+b1_armhf.deb ...
Unpacking libxcb-present0:armhf (1.10-3+b1) ...
Selecting previously unselected package libxcb-sync1:armhf.
Preparing to unpack .../libxcb-sync1_1.10-3+b1_armhf.deb ...
Unpacking libxcb-sync1:armhf (1.10-3+b1) ...
Selecting previously unselected package libxdamage1:armhf.
Preparing to unpack .../libxdamage1_1%3a1.1.4-2+b1_armhf.deb ...
Unpacking libxdamage1:armhf (1:1.1.4-2+b1) ...
Selecting previously unselected package libxshmfence1:armhf.
Preparing to unpack .../libxshmfence1_1.1-4_armhf.deb ...
Unpacking libxshmfence1:armhf (1.1-4) ...
Selecting previously unselected package libxxf86vm1:armhf.
Preparing to unpack .../libxxf86vm1_1%3a1.1.3-1+b1_armhf.deb ...
Unpacking libxxf86vm1:armhf (1:1.1.3-1+b1) ...
Selecting previously unselected package libgl1-mesa-glx:armhf.
Preparing to unpack .../libgl1-mesa-glx_10.3.2-1+deb8u1_armhf.deb ...
Unpacking libgl1-mesa-glx:armhf (10.3.2-1+deb8u1) ...
Selecting previously unselected package libglib2.0-0:armhf.
Preparing to unpack .../libglib2.0-0_2.42.1-1+b1_armhf.deb ...
Unpacking libglib2.0-0:armhf (2.42.1-1+b1) ...
Selecting previously unselected package libglu1-mesa:armhf.
Preparing to unpack .../libglu1-mesa_9.0.0-2_armhf.deb ...
Unpacking libglu1-mesa:armhf (9.0.0-2) ...
Selecting previously unselected package libgraphite2-3:armhf.
Preparing to unpack .../libgraphite2-3_1.3.10-1~deb8u1_armhf.deb ...
Unpacking libgraphite2-3:armhf (1.3.10-1~deb8u1) ...
Selecting previously unselected package libharfbuzz0b:armhf.
Preparing to unpack .../libharfbuzz0b_0.9.35-2_armhf.deb ...
Unpacking libharfbuzz0b:armhf (0.9.35-2) ...
Selecting previously unselected package x11-common.
Preparing to unpack .../x11-common_1%3a7.7+7_all.deb ...
Unpacking x11-common (1:7.7+7) ...
Selecting previously unselected package libice6:armhf.
Preparing to unpack .../libice6_2%3a1.0.9-1+b1_armhf.deb ...
Unpacking libice6:armhf (2:1.0.9-1+b1) ...
Selecting previously unselected package libiec61883-0:armhf.
Preparing to unpack .../libiec61883-0_1.2.0-0.2_armhf.deb ...
Unpacking libiec61883-0:armhf (1.2.0-0.2) ...
Selecting previously unselected package libsamplerate0:armhf.
Preparing to unpack .../libsamplerate0_0.1.8-8_armhf.deb ...
Unpacking libsamplerate0:armhf (0.1.8-8) ...
Selecting previously unselected package libjack-jackd2-0:armhf.
Preparing to unpack .../libjack-jackd2-0_1.9.10+20140719git3eb0ae6a~dfsg-2_armhf.deb ...
Unpacking libjack-jackd2-0:armhf (1.9.10+20140719git3eb0ae6a~dfsg-2) ...
Selecting previously unselected package libopenal-data.
Preparing to unpack .../libopenal-data_1%3a1.15.1-5_all.deb ...
Unpacking libopenal-data (1:1.15.1-5) ...
Selecting previously unselected package libopenal1:armhf.
Preparing to unpack .../libopenal1_1%3a1.15.1-5_armhf.deb ...
Unpacking libopenal1:armhf (1:1.15.1-5) ...
Selecting previously unselected package libsm6:armhf.
Preparing to unpack .../libsm6_2%3a1.2.2-1+b1_armhf.deb ...
Unpacking libsm6:armhf (2:1.2.2-1+b1) ...
Selecting previously unselected package libopencv-core2.4:armhf.
Preparing to unpack .../libopencv-core2.4_2.4.9.1+dfsg-1+deb8u1_armhf.deb ...
Unpacking libopencv-core2.4:armhf (2.4.9.1+dfsg-1+deb8u1) ...
Selecting previously unselected package libopencv-imgproc2.4:armhf.
Preparing to unpack .../libopencv-imgproc2.4_2.4.9.1+dfsg-1+deb8u1_armhf.deb ...
Unpacking libopencv-imgproc2.4:armhf (2.4.9.1+dfsg-1+deb8u1) ...
Selecting previously unselected package libsndfile1:armhf.
Preparing to unpack .../libsndfile1_1.0.25-9.1+deb8u1_armhf.deb ...
Unpacking libsndfile1:armhf (1.0.25-9.1+deb8u1) ...
Selecting previously unselected package libxi6:armhf.
Preparing to unpack .../libxi6_2%3a1.7.4-1+deb8u1_armhf.deb ...
Unpacking libxi6:armhf (2:1.7.4-1+deb8u1) ...
Selecting previously unselected package libxtst6:armhf.
Preparing to unpack .../libxtst6_2%3a1.2.2-1+deb8u1_armhf.deb ...
Unpacking libxtst6:armhf (2:1.2.2-1+deb8u1) ...
Selecting previously unselected package libpulse0:armhf.
Preparing to unpack .../libpulse0_5.0-13_armhf.deb ...
Unpacking libpulse0:armhf (5.0-13) ...
Selecting previously unselected package librubberband2:armhf.
Preparing to unpack .../librubberband2_1.8.1-6_armhf.deb ...
Unpacking librubberband2:armhf (1.8.1-6) ...
Selecting previously unselected package libwayland-cursor0:armhf.
Preparing to unpack .../libwayland-cursor0_1.6.0-2_armhf.deb ...
Unpacking libwayland-cursor0:armhf (1.6.0-2) ...
Selecting previously unselected package libwayland-egl1-mesa:armhf.
Preparing to unpack .../libwayland-egl1-mesa_10.3.2-1+deb8u1_armhf.deb ...
Unpacking libwayland-egl1-mesa:armhf (10.3.2-1+deb8u1) ...
Selecting previously unselected package libxrender1:armhf.
Preparing to unpack .../libxrender1_1%3a0.9.8-1+b1_armhf.deb ...
Unpacking libxrender1:armhf (1:0.9.8-1+b1) ...
Selecting previously unselected package libxcursor1:armhf.
Preparing to unpack .../libxcursor1_1%3a1.1.14-1+deb8u1_armhf.deb ...
Unpacking libxcursor1:armhf (1:1.1.14-1+deb8u1) ...
Selecting previously unselected package libxinerama1:armhf.
Preparing to unpack .../libxinerama1_2%3a1.1.3-1+b1_armhf.deb ...
Unpacking libxinerama1:armhf (2:1.1.3-1+b1) ...
Selecting previously unselected package libxkbcommon0:armhf.
Preparing to unpack .../libxkbcommon0_0.4.3-2_armhf.deb ...
Unpacking libxkbcommon0:armhf (0.4.3-2) ...
Selecting previously unselected package libxrandr2:armhf.
Preparing to unpack .../libxrandr2_2%3a1.4.2-1+deb8u1_armhf.deb ...
Unpacking libxrandr2:armhf (2:1.4.2-1+deb8u1) ...
Selecting previously unselected package libxss1:armhf.
Preparing to unpack .../libxss1_1%3a1.2.2-1_armhf.deb ...
Unpacking libxss1:armhf (1:1.2.2-1) ...
Selecting previously unselected package libsdl2-2.0-0:armhf.
Preparing to unpack .../libsdl2-2.0-0_2.0.2+dfsg1-6_armhf.deb ...
Unpacking libsdl2-2.0-0:armhf (2.0.2+dfsg1-6) ...
Selecting previously unselected package libsodium13:armhf.
Preparing to unpack .../libsodium13_1.0.0-1_armhf.deb ...
Unpacking libsodium13:armhf (1.0.0-1) ...
Selecting previously unselected package libssh-gcrypt-4:armhf.
Preparing to unpack .../libssh-gcrypt-4_0.6.3-4+deb8u2_armhf.deb ...
Unpacking libssh-gcrypt-4:armhf (0.6.3-4+deb8u2) ...
Selecting previously unselected package libxcb-shm0:armhf.
Preparing to unpack .../libxcb-shm0_1.10-3+b1_armhf.deb ...
Unpacking libxcb-shm0:armhf (1.10-3+b1) ...
Selecting previously unselected package libxv1:armhf.
Preparing to unpack .../libxv1_2%3a1.0.10-1+deb8u1_armhf.deb ...
Unpacking libxv1:armhf (2:1.0.10-1+deb8u1) ...
Selecting previously unselected package libpgm-5.1-0.
Preparing to unpack .../libpgm-5.1-0_5.1.118-1~dfsg-1_armhf.deb ...
Unpacking libpgm-5.1-0 (5.1.118-1~dfsg-1) ...
Selecting previously unselected package libzmq3:armhf.
Preparing to unpack .../libzmq3_4.0.5+dfsg-2+deb8u1_armhf.deb ...
Unpacking libzmq3:armhf (4.0.5+dfsg-2+deb8u1) ...
Selecting previously unselected package libass5:armhf.
Preparing to unpack .../libass5_0.10.2-3_armhf.deb ...
Unpacking libass5:armhf (0.10.2-3) ...
Selecting previously unselected package libavc1394-0:armhf.
Preparing to unpack .../libavc1394-0_0.5.4-2_armhf.deb ...
Unpacking libavc1394-0:armhf (0.5.4-2) ...
Selecting previously unselected package libflite1:armhf.
Preparing to unpack .../libflite1_1.4-release-12_armhf.deb ...
Unpacking libflite1:armhf (1.4-release-12) ...
Selecting previously unselected package libgme0.
Preparing to unpack .../libgme0_0.5.5-2+deb8u1_armhf.deb ...
Unpacking libgme0 (0.5.5-2+deb8u1) ...
Selecting previously unselected package libmodplug1.
Preparing to unpack .../libmodplug1_1%3a0.8.8.4-4.1+b1_armhf.deb ...
Unpacking libmodplug1 (1:0.8.8.4-4.1+b1) ...
Selecting previously unselected package libavformat57:armhf.
Preparing to unpack .../libavformat57_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking libavformat57:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Selecting previously unselected package libavresample3:armhf.
Preparing to unpack .../libavresample3_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking libavresample3:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Selecting previously unselected package libbs2b0.
Preparing to unpack .../libbs2b0_3.1.0+dfsg-2.1_armhf.deb ...
Unpacking libbs2b0 (3.1.0+dfsg-2.1) ...
Selecting previously unselected package libpostproc54:armhf.
Preparing to unpack .../libpostproc54_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking libpostproc54:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Selecting previously unselected package libswscale4:armhf.
Preparing to unpack .../libswscale4_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking libswscale4:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Selecting previously unselected package libavfilter6:armhf.
Preparing to unpack .../libavfilter6_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking libavfilter6:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Selecting previously unselected package libcdio13.
Preparing to unpack .../libcdio13_0.83-4.2_armhf.deb ...
Unpacking libcdio13 (0.83-4.2) ...
Selecting previously unselected package libcdio-cdda1.
Preparing to unpack .../libcdio-cdda1_0.83-4.2_armhf.deb ...
Unpacking libcdio-cdda1 (0.83-4.2) ...
Selecting previously unselected package libcdio-paranoia1.
Preparing to unpack .../libcdio-paranoia1_0.83-4.2_armhf.deb ...
Unpacking libcdio-paranoia1 (0.83-4.2) ...
Selecting previously unselected package libavdevice57:armhf.
Preparing to unpack .../libavdevice57_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking libavdevice57:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Selecting previously unselected package ffmpeg.
Preparing to unpack .../ffmpeg_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
Unpacking ffmpeg (7:3.2.10-1~deb9u1~bpo8+1) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Processing triggers for systemd (215-17+deb8u7) ...
Setting up libjson-c2:armhf (0.11-4) ...
Setting up libxml2:armhf (2.9.1+dfsg1-5+deb8u6) ...
Setting up libasound2-data (1.0.28-1) ...
Setting up libasound2:armhf (1.0.28-1) ...
Setting up libasyncns0:armhf (0.8-5) ...
Setting up libpng12-0:armhf (1.2.50-2+deb8u3) ...
Setting up libfreetype6:armhf (2.5.2-3+deb8u2) ...
Setting up libbluray1:armhf (1:0.6.2-1) ...
Setting up libcaca0:armhf (0.99.beta19-2) ...
Setting up libdrm2:armhf (2.4.58-2) ...
Setting up libva1:armhf (1.4.1-1) ...
Setting up libva-drm1:armhf (1.4.1-1) ...
Setting up libxau6:armhf (1:1.0.8-1) ...
Setting up libxdmcp6:armhf (1:1.1.1-1+b1) ...
Setting up libxcb1:armhf (1.10-3+b1) ...
Setting up libx11-data (2:1.6.2-3+deb8u1) ...
Setting up libx11-6:armhf (2:1.6.2-3+deb8u1) ...
Setting up libxext6:armhf (2:1.3.3-1) ...
Setting up libxfixes3:armhf (1:5.0.1-2+deb8u1) ...
Setting up libva-x11-1:armhf (1.4.1-1) ...
Setting up libvdpau1:armhf (0.8-3+deb8u2) ...
Setting up libavutil55:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Setting up libgsm1:armhf (1.0.13-4) ...
Setting up libmp3lame0:armhf (3.99.5+repack1-7+deb8u1) ...
Setting up libopenjp2-7:armhf (2.1.0-2+deb8u3+b1) ...
Setting up libopus0:armhf (1.1-2) ...
Setting up libshine3:armhf (3.1.0-2.1) ...
Setting up libsnappy1 (1.1.2-3) ...
Setting up libspeex1:armhf (1.2~rc1.2-1) ...
Setting up libsoxr0:armhf (0.1.1-1) ...
Setting up libswresample2:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Setting up libogg0:armhf (1.3.2-1) ...
Setting up libtheora0:armhf (1.1.1+dfsg.1-6) ...
Setting up libtwolame0 (0.3.13-1.1) ...
Setting up libvorbis0a:armhf (1.3.4-2) ...
Setting up libvorbisenc2:armhf (1.3.4-2) ...
Setting up libvpx1:armhf (1.3.0-3) ...
Setting up libwavpack1:armhf (4.70.0-1) ...
Setting up libwebp5:armhf (0.4.1-1.2+b2) ...
Setting up libx264-142:armhf (2:0.142.2431+gita5831aa-1+b2) ...
Setting up libx265-87:armhf (2.0-4~bpo8+1) ...
Setting up libxvidcore4:armhf (2:1.3.3-1) ...
Setting up libzvbi-common (0.2.35-3) ...
Setting up libzvbi0:armhf (0.2.35-3) ...
Setting up libavcodec57:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Setting up libchromaprint1:armhf (1.3.2-2~bpo8+1) ...
Setting up libraw1394-11:armhf (2.1.0-3) ...
Setting up libdc1394-22:armhf (2.2.3-1) ...
Setting up libdrm-freedreno1:armhf (2.4.58-2) ...
Setting up libdrm-nouveau2:armhf (2.4.58-2) ...
Setting up libdrm-radeon1:armhf (2.4.58-2) ...
Setting up libelf1:armhf (0.159-4.2) ...
Setting up libglapi-mesa:armhf (10.3.2-1+deb8u1) ...
Setting up libllvm3.5:armhf (1:3.5-10) ...
Setting up libwayland-client0:armhf (1.6.0-2) ...
Setting up libwayland-server0:armhf (1.6.0-2) ...
Setting up libgbm1:armhf (10.3.2-1+deb8u1) ...
Setting up libx11-xcb1:armhf (2:1.6.2-3+deb8u1) ...
Setting up libxcb-dri2-0:armhf (1.10-3+b1) ...
Setting up libxcb-render0:armhf (1.10-3+b1) ...
Setting up libxcb-shape0:armhf (1.10-3+b1) ...
Setting up libxcb-xfixes0:armhf (1.10-3+b1) ...
Setting up libegl1-mesa:armhf (10.3.2-1+deb8u1) ...
Setting up libenca0:armhf (1.16-1) ...
Setting up libfftw3-double3:armhf (3.3.4-2) ...
Setting up libflac8:armhf (1.3.0-3) ...
Setting up ucf (3.0030) ...
Setting up fonts-dejavu-core (2.34-1) ...
Setting up fontconfig-config (2.11.0-6.3+deb8u1) ...
Setting up libfontconfig1:armhf (2.11.0-6.3+deb8u1) ...
Setting up libfribidi0:armhf (0.19.6-3) ...
Setting up libxcb-dri3-0:armhf (1.10-3+b1) ...
Setting up libxcb-glx0:armhf (1.10-3+b1) ...
Setting up libxcb-present0:armhf (1.10-3+b1) ...
Setting up libxcb-sync1:armhf (1.10-3+b1) ...
Setting up libxdamage1:armhf (1:1.1.4-2+b1) ...
Setting up libxshmfence1:armhf (1.1-4) ...
Setting up libxxf86vm1:armhf (1:1.1.3-1+b1) ...
Setting up libgl1-mesa-glx:armhf (10.3.2-1+deb8u1) ...
Setting up libglib2.0-0:armhf (2.42.1-1+b1) ...
No schema files found: doing nothing.
Setting up libglu1-mesa:armhf (9.0.0-2) ...
Setting up libgraphite2-3:armhf (1.3.10-1~deb8u1) ...
Setting up libharfbuzz0b:armhf (0.9.35-2) ...
Setting up x11-common (1:7.7+7) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up libice6:armhf (2:1.0.9-1+b1) ...
Setting up libiec61883-0:armhf (1.2.0-0.2) ...
Setting up libsamplerate0:armhf (0.1.8-8) ...
Setting up libjack-jackd2-0:armhf (1.9.10+20140719git3eb0ae6a~dfsg-2) ...
Setting up libopenal-data (1:1.15.1-5) ...
Setting up libopenal1:armhf (1:1.15.1-5) ...
Setting up libsm6:armhf (2:1.2.2-1+b1) ...
Setting up libopencv-core2.4:armhf (2.4.9.1+dfsg-1+deb8u1) ...
Setting up libopencv-imgproc2.4:armhf (2.4.9.1+dfsg-1+deb8u1) ...
Setting up libsndfile1:armhf (1.0.25-9.1+deb8u1) ...
Setting up libxi6:armhf (2:1.7.4-1+deb8u1) ...
Setting up libxtst6:armhf (2:1.2.2-1+deb8u1) ...
Setting up libpulse0:armhf (5.0-13) ...
Setting up librubberband2:armhf (1.8.1-6) ...
Setting up libwayland-cursor0:armhf (1.6.0-2) ...
Setting up libwayland-egl1-mesa:armhf (10.3.2-1+deb8u1) ...
Setting up libxrender1:armhf (1:0.9.8-1+b1) ...
Setting up libxcursor1:armhf (1:1.1.14-1+deb8u1) ...
Setting up libxinerama1:armhf (2:1.1.3-1+b1) ...
Setting up libxkbcommon0:armhf (0.4.3-2) ...
Setting up libxrandr2:armhf (2:1.4.2-1+deb8u1) ...
Setting up libxss1:armhf (1:1.2.2-1) ...
Setting up libsdl2-2.0-0:armhf (2.0.2+dfsg1-6) ...
Setting up libsodium13:armhf (1.0.0-1) ...
Setting up libssh-gcrypt-4:armhf (0.6.3-4+deb8u2) ...
Setting up libxcb-shm0:armhf (1.10-3+b1) ...
Setting up libxv1:armhf (2:1.0.10-1+deb8u1) ...
Setting up libpgm-5.1-0 (5.1.118-1~dfsg-1) ...
Setting up libzmq3:armhf (4.0.5+dfsg-2+deb8u1) ...
Setting up libass5:armhf (0.10.2-3) ...
Setting up libavc1394-0:armhf (0.5.4-2) ...
Setting up libflite1:armhf (1.4-release-12) ...
Setting up libgme0 (0.5.5-2+deb8u1) ...
Setting up libmodplug1 (1:0.8.8.4-4.1+b1) ...
Setting up libavformat57:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Setting up libavresample3:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Setting up libbs2b0 (3.1.0+dfsg-2.1) ...
Setting up libpostproc54:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Setting up libswscale4:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Setting up libavfilter6:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Setting up libcdio13 (0.83-4.2) ...
Setting up libcdio-cdda1 (0.83-4.2) ...
Setting up libcdio-paranoia1 (0.83-4.2) ...
Setting up libavdevice57:armhf (7:3.2.10-1~deb9u1~bpo8+1) ...
Setting up ffmpeg (7:3.2.10-1~deb9u1~bpo8+1) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Processing triggers for systemd (215-17+deb8u7) ...
[  OK  ] DietPi-Software | G_AGI: ffmpeg

 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Installing Home Assistant: open-source home automation platform

[ INFO ] DietPi-Software | HA_USER: homeassistant
[ INFO ] DietPi-Software | HA_USERROOT: /home/homeassistant
[ INFO ] DietPi-Software | HA_SRVROOT: /srv/homeassistant
[ INFO ] DietPi-Software | HA_PYENV_ACTIVATION: export PATH="/home/homeassistant/.pyenv/bin:$PATH"; eval "$(pyenv init -)"; eval "$(pyenv virtualenv-init -)"
[ INFO ] DietPi-Software | HA_PYTHON_VERSION: 3.6.3
[ INFO ] DietPi-Software | APT installation for: libssl-dev git cmake libc-ares-dev uuid-dev daemon curl libgnutls28-dev libgnutlsxx28 nmap net-tools sudo libglib2.0-dev libudev-dev swig libssl-dev libusb-1.0-0 gcc libssl-dev libffi-dev libbz2-dev zlib1g-dev libreadline-dev libsqlite3-dev libncurses5-dev libncursesw5-dev, please wait...
Extracting templates from packages: 100%
Selecting previously unselected package libsqlite3-0:armhf.
(Reading database ... 21362 files and directories currently installed.)
Preparing to unpack .../libsqlite3-0_3.8.7.1-1+deb8u2_armhf.deb ...
Unpacking libsqlite3-0:armhf (3.8.7.1-1+deb8u2) ...
Selecting previously unselected package libpython2.7-minimal:armhf.
Preparing to unpack .../libpython2.7-minimal_2.7.9-2+deb8u1_armhf.deb ...
Unpacking libpython2.7-minimal:armhf (2.7.9-2+deb8u1) ...
Selecting previously unselected package python2.7-minimal.
Preparing to unpack .../python2.7-minimal_2.7.9-2+deb8u1_armhf.deb ...
Unpacking python2.7-minimal (2.7.9-2+deb8u1) ...
Selecting previously unselected package python-minimal.
Preparing to unpack .../python-minimal_2.7.9-1_armhf.deb ...
Unpacking python-minimal (2.7.9-1) ...
Selecting previously unselected package mime-support.
Preparing to unpack .../mime-support_3.58_all.deb ...
Unpacking mime-support (3.58) ...
Selecting previously unselected package libpython2.7-stdlib:armhf.
Preparing to unpack .../libpython2.7-stdlib_2.7.9-2+deb8u1_armhf.deb ...
Unpacking libpython2.7-stdlib:armhf (2.7.9-2+deb8u1) ...
Selecting previously unselected package python2.7.
Preparing to unpack .../python2.7_2.7.9-2+deb8u1_armhf.deb ...
Unpacking python2.7 (2.7.9-2+deb8u1) ...
Selecting previously unselected package libpython-stdlib:armhf.
Preparing to unpack .../libpython-stdlib_2.7.9-1_armhf.deb ...
Unpacking libpython-stdlib:armhf (2.7.9-1) ...
Setting up libpython2.7-minimal:armhf (2.7.9-2+deb8u1) ...
Setting up python2.7-minimal (2.7.9-2+deb8u1) ...
Setting up python-minimal (2.7.9-1) ...
Selecting previously unselected package python.
(Reading database ... 22145 files and directories currently installed.)
Preparing to unpack .../python_2.7.9-1_armhf.deb ...
Unpacking python (2.7.9-1) ...
Selecting previously unselected package cmake-data.
Preparing to unpack .../cmake-data_3.0.2-1+deb8u1_all.deb ...
Unpacking cmake-data (3.0.2-1+deb8u1) ...
Selecting previously unselected package liblzo2-2:armhf.
Preparing to unpack .../liblzo2-2_2.08-1.2_armhf.deb ...
Unpacking liblzo2-2:armhf (2.08-1.2) ...
Selecting previously unselected package libarchive13:armhf.
Preparing to unpack .../libarchive13_3.1.2-11+deb8u3_armhf.deb ...
Unpacking libarchive13:armhf (3.1.2-11+deb8u3) ...
Selecting previously unselected package cmake.
Preparing to unpack .../cmake_3.0.2-1+deb8u1_armhf.deb ...
Unpacking cmake (3.0.2-1+deb8u1) ...
Selecting previously unselected package libelfg0:armhf.
Preparing to unpack .../libelfg0_0.8.13-5_armhf.deb ...
Unpacking libelfg0:armhf (0.8.13-5) ...
Selecting previously unselected package libgfortran3:armhf.
Preparing to unpack .../libgfortran3_4.9.2-10+deb8u1_armhf.deb ...
Unpacking libgfortran3:armhf (4.9.2-10+deb8u1) ...
Selecting previously unselected package libgmpxx4ldbl:armhf.
Preparing to unpack .../libgmpxx4ldbl_2%3a6.0.0+dfsg-6_armhf.deb ...
Unpacking libgmpxx4ldbl:armhf (2:6.0.0+dfsg-6) ...
Selecting previously unselected package libblas-common.
Preparing to unpack .../libblas-common_1.2.20110419-10_armhf.deb ...
Unpacking libblas-common (1.2.20110419-10) ...
Selecting previously unselected package libblas3.
Preparing to unpack .../libblas3_1.2.20110419-10_armhf.deb ...
Unpacking libblas3 (1.2.20110419-10) ...
Selecting previously unselected package liblinear1:armhf.
Preparing to unpack .../liblinear1_1.8+dfsg-4_armhf.deb ...
Unpacking liblinear1:armhf (1.8+dfsg-4) ...
Selecting previously unselected package liblua5.2-0:armhf.
Preparing to unpack .../liblua5.2-0_5.2.3-1.1_armhf.deb ...
Unpacking liblua5.2-0:armhf (5.2.3-1.1) ...
Selecting previously unselected package libpcap0.8:armhf.
Preparing to unpack .../libpcap0.8_1.6.2-2_armhf.deb ...
Unpacking libpcap0.8:armhf (1.6.2-2) ...
Selecting previously unselected package libpcrecpp0:armhf.
Preparing to unpack .../libpcrecpp0_2%3a8.35-3.3+deb8u4_armhf.deb ...
Unpacking libpcrecpp0:armhf (2:8.35-3.3+deb8u4) ...
Selecting previously unselected package libc-ares2:armhf.
Preparing to unpack .../libc-ares2_1.10.0-2+deb8u2_armhf.deb ...
Unpacking libc-ares2:armhf (1.10.0-2+deb8u2) ...
Selecting previously unselected package libgnutlsxx28:armhf.
Preparing to unpack .../libgnutlsxx28_3.3.8-6+deb8u7_armhf.deb ...
Unpacking libgnutlsxx28:armhf (3.3.8-6+deb8u7) ...
Selecting previously unselected package daemon.
Preparing to unpack .../daemon_0.6.4-1_armhf.deb ...
Unpacking daemon (0.6.4-1) ...
Selecting previously unselected package libbz2-dev:armhf.
Preparing to unpack .../libbz2-dev_1.0.6-7+b3_armhf.deb ...
Unpacking libbz2-dev:armhf (1.0.6-7+b3) ...
Selecting previously unselected package libffi-dev:armhf.
Preparing to unpack .../libffi-dev_3.1-2+deb8u1_armhf.deb ...
Unpacking libffi-dev:armhf (3.1-2+deb8u1) ...
Selecting previously unselected package libglib2.0-data.
Preparing to unpack .../libglib2.0-data_2.42.1-1_all.deb ...
Unpacking libglib2.0-data (2.42.1-1) ...
Selecting previously unselected package libglib2.0-bin.
Preparing to unpack .../libglib2.0-bin_2.42.1-1+b1_armhf.deb ...
Unpacking libglib2.0-bin (2.42.1-1+b1) ...
Selecting previously unselected package libpcre3-dev:armhf.
Preparing to unpack .../libpcre3-dev_2%3a8.35-3.3+deb8u4_armhf.deb ...
Unpacking libpcre3-dev:armhf (2:8.35-3.3+deb8u4) ...
Selecting previously unselected package pkg-config.
Preparing to unpack .../pkg-config_0.28-1_armhf.deb ...
Unpacking pkg-config (0.28-1) ...
Selecting previously unselected package zlib1g-dev:armhf.
Preparing to unpack .../zlib1g-dev_1%3a1.2.8.dfsg-2+b1_armhf.deb ...
Unpacking zlib1g-dev:armhf (1:1.2.8.dfsg-2+b1) ...
Selecting previously unselected package libglib2.0-dev.
Preparing to unpack .../libglib2.0-dev_2.42.1-1+b1_armhf.deb ...
Unpacking libglib2.0-dev (2.42.1-1+b1) ...
Selecting previously unselected package libgmp-dev:armhf.
Preparing to unpack .../libgmp-dev_2%3a6.0.0+dfsg-6_armhf.deb ...
Unpacking libgmp-dev:armhf (2:6.0.0+dfsg-6) ...
Selecting previously unselected package nettle-dev.
Preparing to unpack .../nettle-dev_2.7.1-5+deb8u2_armhf.deb ...
Unpacking nettle-dev (2.7.1-5+deb8u2) ...
Selecting previously unselected package libtasn1-6-dev.
Preparing to unpack .../libtasn1-6-dev_4.2-3+deb8u3_armhf.deb ...
Unpacking libtasn1-6-dev (4.2-3+deb8u3) ...
Selecting previously unselected package libp11-kit-dev.
Preparing to unpack .../libp11-kit-dev_0.20.7-1_armhf.deb ...
Unpacking libp11-kit-dev (0.20.7-1) ...
Selecting previously unselected package libgnutls28-dev:armhf.
Preparing to unpack .../libgnutls28-dev_3.3.8-6+deb8u7_armhf.deb ...
Unpacking libgnutls28-dev:armhf (3.3.8-6+deb8u7) ...
Selecting previously unselected package libtinfo-dev:armhf.
Preparing to unpack .../libtinfo-dev_5.9+20140913-1+deb8u2_armhf.deb ...
Unpacking libtinfo-dev:armhf (5.9+20140913-1+deb8u2) ...
Selecting previously unselected package libncurses5-dev:armhf.
Preparing to unpack .../libncurses5-dev_5.9+20140913-1+deb8u2_armhf.deb ...
Unpacking libncurses5-dev:armhf (5.9+20140913-1+deb8u2) ...
Selecting previously unselected package libncursesw5-dev:armhf.
Preparing to unpack .../libncursesw5-dev_5.9+20140913-1+deb8u2_armhf.deb ...
Unpacking libncursesw5-dev:armhf (5.9+20140913-1+deb8u2) ...
Selecting previously unselected package libreadline6-dev:armhf.
Preparing to unpack .../libreadline6-dev_6.3-8+b3_armhf.deb ...
Unpacking libreadline6-dev:armhf (6.3-8+b3) ...
Selecting previously unselected package libreadline-dev:armhf.
Preparing to unpack .../libreadline-dev_6.3-8+b3_armhf.deb ...
Unpacking libreadline-dev:armhf (6.3-8+b3) ...
Selecting previously unselected package libsqlite3-dev:armhf.
Preparing to unpack .../libsqlite3-dev_3.8.7.1-1+deb8u2_armhf.deb ...
Unpacking libsqlite3-dev:armhf (3.8.7.1-1+deb8u2) ...
Selecting previously unselected package libssl-dev:armhf.
Preparing to unpack .../libssl-dev_1.0.1t-1+deb8u7_armhf.deb ...
Unpacking libssl-dev:armhf (1.0.1t-1+deb8u7) ...
Selecting previously unselected package libudev-dev:armhf.
Preparing to unpack .../libudev-dev_215-17+deb8u7_armhf.deb ...
Unpacking libudev-dev:armhf (215-17+deb8u7) ...
Selecting previously unselected package swig2.0.
Preparing to unpack .../swig2.0_2.0.12-1_armhf.deb ...
Unpacking swig2.0 (2.0.12-1) ...
Selecting previously unselected package swig.
Preparing to unpack .../swig_2.0.12-1_armhf.deb ...
Unpacking swig (2.0.12-1) ...
Selecting previously unselected package libc-ares-dev:armhf.
Preparing to unpack .../libc-ares-dev_1.10.0-2+deb8u2_armhf.deb ...
Unpacking libc-ares-dev:armhf (1.10.0-2+deb8u2) ...
Selecting previously unselected package nmap.
Preparing to unpack .../nmap_6.47-3+deb8u2_armhf.deb ...
Unpacking nmap (6.47-3+deb8u2) ...
Selecting previously unselected package uuid-dev:armhf.
Preparing to unpack .../uuid-dev_2.25.2-6_armhf.deb ...
Unpacking uuid-dev:armhf (2.25.2-6) ...
Processing triggers for libglib2.0-0:armhf (2.42.1-1+b1) ...
No schema files found: doing nothing.
Setting up libsqlite3-0:armhf (3.8.7.1-1+deb8u2) ...
Setting up mime-support (3.58) ...
Setting up libpython2.7-stdlib:armhf (2.7.9-2+deb8u1) ...
Setting up python2.7 (2.7.9-2+deb8u1) ...
Setting up libpython-stdlib:armhf (2.7.9-1) ...
Setting up python (2.7.9-1) ...
Setting up cmake-data (3.0.2-1+deb8u1) ...
Setting up liblzo2-2:armhf (2.08-1.2) ...
Setting up libarchive13:armhf (3.1.2-11+deb8u3) ...
Setting up cmake (3.0.2-1+deb8u1) ...
Setting up libelfg0:armhf (0.8.13-5) ...
Setting up libgfortran3:armhf (4.9.2-10+deb8u1) ...
Setting up libgmpxx4ldbl:armhf (2:6.0.0+dfsg-6) ...
Setting up libblas-common (1.2.20110419-10) ...
Setting up libblas3 (1.2.20110419-10) ...
update-alternatives: using /usr/lib/libblas/libblas.so.3 to provide /usr/lib/libblas.so.3 (libblas.so.3) in auto mode
Setting up liblinear1:armhf (1.8+dfsg-4) ...
Setting up liblua5.2-0:armhf (5.2.3-1.1) ...
Setting up libpcap0.8:armhf (1.6.2-2) ...
Setting up libpcrecpp0:armhf (2:8.35-3.3+deb8u4) ...
Setting up libc-ares2:armhf (1.10.0-2+deb8u2) ...
Setting up libgnutlsxx28:armhf (3.3.8-6+deb8u7) ...
Setting up daemon (0.6.4-1) ...
Setting up libbz2-dev:armhf (1.0.6-7+b3) ...
Setting up libffi-dev:armhf (3.1-2+deb8u1) ...
Setting up libglib2.0-data (2.42.1-1) ...
Setting up libglib2.0-bin (2.42.1-1+b1) ...
Setting up libpcre3-dev:armhf (2:8.35-3.3+deb8u4) ...
Setting up pkg-config (0.28-1) ...
Setting up zlib1g-dev:armhf (1:1.2.8.dfsg-2+b1) ...
Setting up libglib2.0-dev (2.42.1-1+b1) ...
Setting up libgmp-dev:armhf (2:6.0.0+dfsg-6) ...
Setting up nettle-dev (2.7.1-5+deb8u2) ...
Setting up libtasn1-6-dev (4.2-3+deb8u3) ...
Setting up libp11-kit-dev (0.20.7-1) ...
Setting up libgnutls28-dev:armhf (3.3.8-6+deb8u7) ...
Setting up libtinfo-dev:armhf (5.9+20140913-1+deb8u2) ...
Setting up libncurses5-dev:armhf (5.9+20140913-1+deb8u2) ...
Setting up libncursesw5-dev:armhf (5.9+20140913-1+deb8u2) ...
Setting up libreadline6-dev:armhf (6.3-8+b3) ...
Setting up libreadline-dev:armhf (6.3-8+b3) ...
Setting up libsqlite3-dev:armhf (3.8.7.1-1+deb8u2) ...
Setting up libssl-dev:armhf (1.0.1t-1+deb8u7) ...
Setting up libudev-dev:armhf (215-17+deb8u7) ...
Setting up swig2.0 (2.0.12-1) ...
Setting up swig (2.0.12-1) ...
Setting up libc-ares-dev:armhf (1.10.0-2+deb8u2) ...
Setting up nmap (6.47-3+deb8u2) ...
Setting up uuid-dev:armhf (2.25.2-6) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
[  OK  ] DietPi-Software | G_AGI: libssl-dev git cmake libc-ares-dev uuid-dev daemon curl libgnutls28-dev libgnutlsxx28 nmap net-tools sudo libglib2.0-dev libudev-dev swig libssl-dev libusb-1.0-0 gcc libssl-dev libffi-dev libbz2-dev zlib1g-dev libreadline-dev libsqlite3-dev libncurses5-dev libncursesw5-dev
[ INFO ] DietPi-Software | APT installation for: libmysqlclient-dev, please wait...
Selecting previously unselected package mysql-common.
(Reading database ... 26512 files and directories currently installed.)
Preparing to unpack .../mysql-common_5.5.59-0+deb8u1_all.deb ...
Unpacking mysql-common (5.5.59-0+deb8u1) ...
Selecting previously unselected package libmysqlclient18:armhf.
Preparing to unpack .../libmysqlclient18_5.5.59-0+deb8u1_armhf.deb ...
Unpacking libmysqlclient18:armhf (5.5.59-0+deb8u1) ...
Selecting previously unselected package libmysqlclient-dev.
Preparing to unpack .../libmysqlclient-dev_5.5.59-0+deb8u1_armhf.deb ...
Unpacking libmysqlclient-dev (5.5.59-0+deb8u1) ...
Setting up mysql-common (5.5.59-0+deb8u1) ...
Setting up libmysqlclient18:armhf (5.5.59-0+deb8u1) ...
Setting up libmysqlclient-dev (5.5.59-0+deb8u1) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
[  OK  ] DietPi-Software | G_AGI: libmysqlclient-dev
Adding system user `homeassistant' (UID 107) ...
Adding new user `homeassistant' (UID 107) with group `nogroup' ...
Creating home directory `/home/homeassistant' ...
Adding group `homeassistant' (GID 1001) ...
Done.
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  2099  100  2099    0     0   7986      0 --:--:-- --:--:-- --:--:--  8011
Cloning into '/home/homeassistant/.pyenv'...
remote: Counting objects: 592, done.
remote: Compressing objects: 100% (411/411), done.
remote: Total 592 (delta 280), reused 268 (delta 91), pack-reused 0
Receiving objects: 100% (592/592), 349.11 KiB | 0 bytes/s, done.
Resolving deltas: 100% (280/280), done.
Checking connectivity... done.
Cloning into '/home/homeassistant/.pyenv/plugins/pyenv-doctor'...
remote: Counting objects: 11, done.
remote: Compressing objects: 100% (8/8), done.
remote: Total 11 (delta 1), reused 6 (delta 1), pack-reused 0
Unpacking objects: 100% (11/11), done.
Checking connectivity... done.
Cloning into '/home/homeassistant/.pyenv/plugins/pyenv-installer'...
remote: Counting objects: 17, done.
remote: Compressing objects: 100% (15/15), done.
remote: Total 17 (delta 2), reused 9 (delta 0), pack-reused 0
Unpacking objects: 100% (17/17), done.
Checking connectivity... done.
Cloning into '/home/homeassistant/.pyenv/plugins/pyenv-update'...
remote: Counting objects: 7, done.
remote: Compressing objects: 100% (5/5), done.
remote: Total 7 (delta 1), reused 3 (delta 0), pack-reused 0
Unpacking objects: 100% (7/7), done.
Checking connectivity... done.
Cloning into '/home/homeassistant/.pyenv/plugins/pyenv-virtualenv'...
remote: Counting objects: 54, done.
remote: Compressing objects: 100% (48/48), done.
remote: Total 54 (delta 10), reused 16 (delta 0), pack-reused 0
Unpacking objects: 100% (54/54), done.
Checking connectivity... done.
Cloning into '/home/homeassistant/.pyenv/plugins/pyenv-which-ext'...
remote: Counting objects: 10, done.
remote: Compressing objects: 100% (6/6), done.
remote: Total 10 (delta 1), reused 5 (delta 0), pack-reused 0
Unpacking objects: 100% (10/10), done.
Checking connectivity... done.

WARNING: seems you still have not added 'pyenv' to the load path.

# Load pyenv automatically by adding
# the following to ~/.bash_profile:

export PATH="/home/homeassistant/.pyenv/bin:$PATH"
eval "$(pyenv init -)"
eval "$(pyenv virtualenv-init -)"
Downloading Python-3.6.3.tar.xz...
-> https://www.python.org/ftp/python/3.6.3/Python-3.6.3.tar.xz
Installing Python-3.6.3...
Installed Python-3.6.3 to /home/homeassistant/.pyenv/versions/3.6.3

Requirement already satisfied: setuptools in /home/homeassistant/.pyenv/versions/3.6.3/envs/homeassistant-3.6.3/lib/python3.6/site-packages
Requirement already satisfied: pip in /home/homeassistant/.pyenv/versions/3.6.3/envs/homeassistant-3.6.3/lib/python3.6/site-packages
homeassistant-3.6.3
pyenv-virtualenv: prompt changing will be removed from future release. configure `export PYENV_VIRTUALENV_DISABLE_PROMPT=1' to simulate the behavior.
Collecting colorlog
  Downloading colorlog-3.1.2-py2.py3-none-any.whl
Collecting PyMySQL
  Downloading PyMySQL-0.8.0-py2.py3-none-any.whl (83kB)
    100% |████████████████████████████████| 92kB 1.5MB/s
Collecting mysqlclient
  Downloading mysqlclient-1.3.12.tar.gz (89kB)
    100% |████████████████████████████████| 92kB 1.6MB/s
Installing collected packages: colorlog, PyMySQL, mysqlclient
  Running setup.py install for mysqlclient ... done
Successfully installed PyMySQL-0.8.0 colorlog-3.1.2 mysqlclient-1.3.12
pyenv-virtualenv: prompt changing will be removed from future release. configure `export PYENV_VIRTUALENV_DISABLE_PROMPT=1' to simulate the behavior.
Collecting homeassistant
  Downloading homeassistant-0.64.1-py2.py3-none-any.whl (7.8MB)
    100% |████████████████████████████████| 7.8MB 31kB/s
Collecting chardet==3.0.4 (from homeassistant)
  Downloading chardet-3.0.4-py2.py3-none-any.whl (133kB)
    100% |████████████████████████████████| 143kB 1.4MB/s
Collecting voluptuous==0.11.1 (from homeassistant)
  Downloading voluptuous-0.11.1-py2.py3-none-any.whl
Collecting yarl==1.1.0 (from homeassistant)
  Downloading yarl-1.1.0.tar.gz (156kB)
    100% |████████████████████████████████| 163kB 1.2MB/s
Collecting jinja2>=2.10 (from homeassistant)
  Downloading Jinja2-2.10-py2.py3-none-any.whl (126kB)
    100% |████████████████████████████████| 133kB 1.4MB/s
Collecting aiohttp==2.3.10 (from homeassistant)
  Downloading aiohttp-2.3.10.tar.gz (848kB)
    100% |████████████████████████████████| 849kB 275kB/s
Collecting pyyaml<4,>=3.11 (from homeassistant)
  Downloading PyYAML-3.12.tar.gz (253kB)
    100% |████████████████████████████████| 256kB 829kB/s
Collecting typing<4,>=3 (from homeassistant)
  Downloading typing-3.6.4-py3-none-any.whl
Collecting pytz>=2017.02 (from homeassistant)
  Downloading pytz-2018.3-py2.py3-none-any.whl (509kB)
    100% |████████████████████████████████| 512kB 482kB/s
Collecting attrs==17.4.0 (from homeassistant)
  Downloading attrs-17.4.0-py2.py3-none-any.whl
Collecting requests==2.18.4 (from homeassistant)
  Downloading requests-2.18.4-py2.py3-none-any.whl (88kB)
    100% |████████████████████████████████| 92kB 1.7MB/s
Collecting async-timeout==2.0.0 (from homeassistant)
  Downloading async_timeout-2.0.0-py3-none-any.whl
Collecting astral==1.5 (from homeassistant)
  Downloading astral-1.5-py2.py3-none-any.whl
Collecting certifi>=2017.4.17 (from homeassistant)
  Downloading certifi-2018.1.18-py2.py3-none-any.whl (151kB)
    100% |████████████████████████████████| 153kB 1.3MB/s
Requirement already up-to-date: pip>=8.0.3 in /home/homeassistant/.pyenv/versions/3.6.3/envs/homeassistant-3.6.3/lib/python3.6/site-packages (from homeassistant)
Collecting multidict>=4.0 (from yarl==1.1.0->homeassistant)
  Downloading multidict-4.1.0.tar.gz (135kB)
    100% |████████████████████████████████| 143kB 1.3MB/s
Collecting idna>=2.0 (from yarl==1.1.0->homeassistant)
  Downloading idna-2.6-py2.py3-none-any.whl (56kB)
    100% |████████████████████████████████| 61kB 1.5MB/s
Collecting MarkupSafe>=0.23 (from jinja2>=2.10->homeassistant)
  Downloading MarkupSafe-1.0.tar.gz
Collecting idna-ssl>=1.0.0 (from aiohttp==2.3.10->homeassistant)
  Downloading idna_ssl-1.0.0.tar.gz
Collecting urllib3<1.23,>=1.21.1 (from requests==2.18.4->homeassistant)
  Downloading urllib3-1.22-py2.py3-none-any.whl (132kB)
    100% |████████████████████████████████| 133kB 1.4MB/s
Installing collected packages: chardet, voluptuous, multidict, idna, yarl, MarkupSafe, jinja2, async-timeout, idna-ssl, aiohttp, pyyaml, typing, pytz, attrs, urllib3, certifi, requests, astral, homeassistant
  Running setup.py install for multidict ... done
  Running setup.py install for yarl ... done
  Running setup.py install for MarkupSafe ... done
  Running setup.py install for idna-ssl ... done
  Running setup.py install for aiohttp ... done
  Running setup.py install for pyyaml ... done
Successfully installed MarkupSafe-1.0 aiohttp-2.3.10 astral-1.5 async-timeout-2.0.0 attrs-17.4.0 certifi-2018.1.18 chardet-3.0.4 homeassistant-0.64.1 idna-2.6 idna-ssl-1.0.0 jinja2-2.10 multidict-4.1.0 pytz-2018.3 pyyaml-3.12 requests-2.18.4 typing-3.6.4 urllib3-1.22 voluptuous-0.11.1 yarl-1.1.0
[ SUB1 ] DietPi-Services > stop
[  OK  ] DietPi-Services | stop : cron

 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Installing SQlite: database

[ INFO ] DietPi-Software | APT installation for: sqlite3, please wait...
Selecting previously unselected package sqlite3.
(Reading database ... 26599 files and directories currently installed.)
Preparing to unpack .../sqlite3_3.8.7.1-1+deb8u2_armhf.deb ...
Unpacking sqlite3 (3.8.7.1-1+deb8u2) ...
Setting up sqlite3 (3.8.7.1-1+deb8u2) ...
[  OK  ] DietPi-Software | G_AGI: sqlite3
[ SUB1 ] DietPi-Services > stop
[  OK  ] DietPi-Services | stop : cron

 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Optimize and configure software

[ INFO ] DietPi-Software | Applying DietPi optimizations and configurations for Odroid C1 (armv7l), please wait...


 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Configuring Home Assistant: open-source home automation platform

[ SUB1 ] DietPi-Services > dietpi_controlled
[  OK  ] DietPi-Services | dietpi_controlled : cron
[  OK  ] DietPi-Services | dietpi_controlled : home-assistant

 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Installation completed

[  OK  ] DietPi-Software | The system will now reboot.
 This completes the DietPi-Software installation.

And so it seems that we have a solution of sorts. There was an existing file in /etc/apt/preferences.d that I did not modify or remove, just added the backports file as specified above, and all seems to be running normally, for now.

@MichaIng

This comment has been minimized.

Copy link
Owner

MichaIng commented Mar 1, 2018

@WineSoaked
Thank you for testing. Jep our backports file seems to overwrite the existing due to alphabetical order 😉. So for now we need to add this file not just for XU4 but for all Odroid devices to avoid dependency issues.
Preparing to unpack .../ffmpeg_7%3a3.2.10-1~deb9u1~bpo8+1_armhf.deb ...
According to version, as expected Debian backports is used now.

I am still wondering why Meverics backports produce errors here. Would be interesting, what is actually different on his untouched image, as there for sure ffmpeg installation will work... Would be nice, if we could also manage this, as his repo simply provides the more current version and possibly optimized for Odroid devices.

@Fourdee
If you find time, maybe you can have a look. Until then I will force non-Meveric backports for all Ordoids for v6.3.

€: PR is up: #1571

@Fourdee

This comment has been minimized.

Copy link
Collaborator

Fourdee commented Mar 1, 2018

Reference: #1571 (comment)

@WineSoaked WineSoaked closed this Mar 1, 2018

@WineSoaked

This comment has been minimized.

Copy link
Author

WineSoaked commented Mar 1, 2018

Closing this now that the merge has happened. Glad it worked out smoothly.

@Fourdee Fourdee referenced this issue Mar 7, 2018

Merged

v6.3 #1590

Fourdee added a commit that referenced this issue Mar 7, 2018

Merge pull request #1590 from Fourdee/testing
**v6.3**
(07/03/18)

**Image Changes:**

Native PC BIOS | Image now available: http://dietpi.com/download

NanoPi Neo | Image now available (based on FriendlyARM official image): #1588

**Changes / Improvements / Optimizations:**

General | DietPi now uses its own "dietpi-postboot.service" to initiate dietpi-services, instead of /etc/rc.local. The latter will be reset on update, but in case of manual adjustments, a backup is safed to dietpi_userdata. The initiating "rc-local.service" will stay in place as well, so /etc/rc.local can be used as before: #1376

General | Additional getty's (2-6) are now disabled via mask. This reduces resource usage for unneeded screens: #1541

General | APT: 'Disabled install recommends' is now standard and default across all DietPi images: #1482 (comment)

General | Sparky SBC kernel patches: Pro-Ject-S2 dac DSD native support on sparky, also other few dac ids. Thanks @sudeep.

General | /tmp tmpfs size is now automatically set to 50% of RAM+SWAP, (previously 50% RAM only). To prevent out of memory errors during certain software installations (eg: Mono), where the swapfile can be used only when needed: #1027 (comment)

DietPi-Automation | dietpi.txt entries and support added for WPA2 Enterprise (WPA-EAP). Many thanks to @Symo for implementing this feature!: #1547

DietPi-Backup | Once backup is completed, you will be asked if you wish to view the log file, for the full rsync log.

DietPi-Banner | Improved notification when no network is detected: #1576

DietPi-Globals | G_WHIP*: Further additions and improvements, including automatic scaling: #1546 #1546 (comment)

DietPi-LetsEncrypt | Lighttpd: Added support for HSTS (HTTP Strict Transport Security): #1553

DietPi-LetsEncrypt | Minor rework and cleaning, using now /etc/systemd/system/certbot.service.d/dietpi-script.conf for web server specific renewal hooks: #1553

DietPi-Software | Shairport-sync: Updated to 3.1.7 for all devices. Also enabled for x86_64: #1548

DietPi-Software | Proftp: Now defaults to dietpi user with root login off: #1529 (comment)

DietPi-Software | RPi Cam Web Interface (Previously DietPiCam): Updated to 6.4.17 and resolves previously failed installation. URL has also changed to http://ip/rpicam : #1512

DietPi-Software | Sonarr: Now uses the develop repo branch, inline with our Radarr install: #1566 (comment)

DietPi-Software | Mono: Raspbian dist is now used for RPi devices: #1566

DietPi-Software | FFmpeg: Fix backports dependency issues for all Odroids: #1556

DietPi-Software | Improved UI options during NTPD failure. You will now be given multiple options that will assist in resolving NTPD time sync issues on your network: #1580 (comment)

DietPi-Software | NTPD check will now run after the internet connection test, to prevent unnecessary delay when network is not yet configured:

DietPi-Software | SubSonic 5: Replaced with Airsonic: #1585

DietPi-Software | Aria2: Optimized installation and connection settings based on hardware. Now uses a configuration file '/var/lib/dietpi/dietpi-software/installed/aria2.conf', which will allow users to change aria2 settings permanently. Please note, the aria2-webui does not support saving settings after session shutdown, this is a known limitation with the software, please use the aria2.conf to make changes: #1575

DietPi-Sync | Once sync is completed, you will be asked if you wish to view the log file, for the full rsync log.

DietPi-Update | G_AGUP/G_AGUG: Now runs prior to our patch system. Ensuring APT is upto date during our updates: http://dietpi.com/phpbb/viewtopic.php?f=11&t=2894&p=11150#p11149

**Bug Fixes:**

General | G_AGUG: --allow-unauthenticated added for Stretch+ by default (inline with other G_AG commands)

General | Resolved POSIX issues with dropbear (limitation) and SSH sessions. We now detect for presence of POSIX and set user selected locale during session load: #1540

General | Resolved multiple issues with failed GNU key management during APT installs from non-standard repos. Dirmngr is now installed on all DietPi systems by default: #1388

General | Resolved basic APT issues with Meveric's repo and failing dependencies. Debian repo is now used in the first instance: #1571 (comment)

General | DietPi-Globals are now loaded prior to login script. Ensures aliases are functional during exit of 1st run setup: #1580 (comment)

DietPi-Config | Resolved an issue with NTPD mode #4 (systemd) reporting dbus errors, dbus is now installed on demand: #1580 (comment)

DietPi-LetsEncrypt | Lighttpd/Minio: Fixed auto renewal: #1553

DietPi-LetsEncrypt | Minio: Fixed an issue, where port 443 listening would fail due to missing libcap2-bin/setcap package: #1553 (comment)

DietPi-Software | Radarr/Sonarr: Reinstall patch, to bring binaries upto date, which resolves issues with the latest mono lib version: #1566

DietPi-Software | Desktops: USB drive removed from .gtk-bookmarks as no longer used in DietPi.

DietPi-Software | Shairport-Sync: Resolved ARMv6 binary Illegal instruction: #1548
DietPi-Software | Lighttpd: Resolved an issue with failed enable of php module, due to perl being a undocumented pre-req for 'lighttpd-enable-mod'.

DietPi-Software | MotionEye: Resolved failed installation due to missing build-essential pre-req: #1564

DietPi-Software | SubSonic6: Resolved broken URL link. Binary now hosted on dietpi.com: #1582

DietPi-Services | Service stop order is now reversed: #1462 (comment)

DietPi-Set_Hardware | Resolved issues with serial consoles not be disabled without dbus installed. Serial consoles are now masked/unmasked (previously disabled): #1482

DietPi-Update | Resolved an issue where .update_available would exist during reboot, causing banner to display update available incorrectly: #1535
@alexthe-red

This comment has been minimized.

Copy link

alexthe-red commented Dec 14, 2018

FWIW I experienced the error:
DietPi homeassistant-start.sh[2025]: ModuleNotFoundError: No module named 'pytz'
today while updating homeassistant and dietpi on Odroid C2. @WineSoaked 's suggestion of

cat << _EOF_ > /etc/apt/preferences.d/backports Package: * Pin: release a=jessie-backports Pin: origin "fuzon.co.uk" Pin-Priority: 99 _EOF_

followed by running
sh updatehs.sh
from /srv/homeassistant/ fixed it. Thanks!!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.